import { useNavigate } from "react-router-dom";
import "../resources/styles/header.scss"
import { yunaGlobal } from "../utils/cookies/Yuna";
import { Button, Icon, IconButton } from "@chakra-ui/react";
import { MdOutlineLogout } from "react-icons/md";
import { LoginPageService } from "../pages/login/LoginPageService";

export const Header = () => {
    const navigate = useNavigate();

    const onLogout = async () => {
        await LoginPageService.logout();
        navigate("/login");
    }

    return (
        <div style={{
            display: 'flex',
            justifyContent: 'center',
            paddingTop: 10
        }}>
            <header className="header">
                <h1 onClick={() => navigate("/")}>Yuna</h1>
                <nav>
                    <a onClick={() => navigate("/mappings")}>Маппинги</a>
                </nav>
                <div style={{
                    width: '100%',
                    display: 'flex',
                    flexDirection: 'column',
                    alignItems: 'flex-end',
                    paddingRight: '5px'
                }}>
                    <span >{'Приветик, ' + yunaGlobal.user?.username}
                        <IconButton
                            icon={<MdOutlineLogout />}
                            size='sm'
                            color="black"
                            colorScheme="white"
                            aria-label={"logout"}
                            onClick={() => onLogout()} /></span>
                    {yunaGlobal.user?.isAdmin && <span
                        style={{ paddingRight: 10 }}
                        className="micro-text important" >Ого, ты админ 💅</span>}
                </div>
            </header>
        </div>);
}