import { ChakraProvider } from "@chakra-ui/react";
import { Navigate, Outlet, createBrowserRouter } from "react-router-dom";
import { LoginPage } from "./pages/login/LoginPage";
import { YunaTheme } from "./theme";
import { HomePage } from "./pages/home/HomePage";
import { MappingsPage } from "./pages/mappings/MappingsPage";
import { Header } from "./components/Header";



export const router = createBrowserRouter([
    {
        path: "/",
        element: <><ChakraProvider theme={YunaTheme}><Outlet /></ChakraProvider></>,
        errorElement: <h1>Something gone wrong</h1>,
        children:
            [
                {
                    path: "/",
                    element: <Navigate to="/home" replace />
                },
                {
                    path: "home",
                    element: <>
                        <Header />
                        <main className="main" >
                            <HomePage />
                        </main>
                    </>
                },
                {
                    path: "mappings",
                    element: <>
                        <Header />
                        <main className="main" >
                            <MappingsPage />
                        </main>
                    </>
                },
                {
                    path: "settings",
                    element: <><Header />set</>
                },
                {
                    path: "login",
                    element: <LoginPage />
                }

            ]
    }
]);